%define build_plf 0
%{?_with_plf: %{expand: %%define build_plf 1}}

%define name gstreamer-plugins
%define version 0.6.0
%define rel 2
%define         _glib2          1.3.12
%define major 0.6
%define majorminor 0.6
%define libgstgconf %mklibname gstgconf %major
%define libgstplay %mklibname gstplay %major

%if %build_plf
%define release	%{rel}plf
%else
%define	release	%{rel}mdk
%endif

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
Source: 	gst-plugins-%{version}.tar.bz2
Patch:		gstreamer-plugins-0.4.2-audiofile.patch.bz2
Patch4:		gstreamer-plugins-0.4.2-ppc.patch.bz2
Patch6:		gstreamer-plugins-0.5.0-v4l-check.patch.bz2
URL:            http://sourceforge.net/projects/gstreamer/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
Provides:	gstreamer-plugin-libs
Obsoletes:	gstreamer-plugin-libs
PreReq: 	gstreamer = %{version}
BuildRequires:  glib2-devel >= %_glib2 
%ifarch %ix86
BuildRequires: nasm => 0.90
%endif
BuildRequires: libgstreamer-devel = %{version} 

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

%prep
%setup -q -n gst-plugins-%{version}
%patch
%patch4 -p1 -b .ppc
%patch6

%build
export CFLAGS="%optflags -DHAVE_FFMPEG_UNINSTALLED"
autoconf
libtoolize --copy --force
%configure2_5x --disable-dependency-tracking \
  --enable-DEBUG --enable-debug

make

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_includedir}/gstreamer-%{majorminor}/gst/media-info/media-info.h
rm -f $RPM_BUILD_ROOT%{_libdir}/libgstmedia-info*.so*
%if !%build_plf
#clean plugins only packaged for plf
rm -f %buildroot%_libdir/gstreamer-%{majorminor}/libgstshout.so
rm -f %buildroot%_libdir/gstreamer-%{majorminor}/libgstlame.so
rm -f %buildroot%_libdir/gstreamer-%{majorminor}/libgstlibfame.so
rm -f %buildroot%_libdir/gstreamer-%{majorminor}/libgstopenquicktimedecoder.so
rm -f %buildroot%_libdir/gstreamer-%{majorminor}/libgstopenquicktimedemux.so
rm -f %buildroot%_libdir/gstreamer-%{majorminor}/libgstopenquicktimetypes.so
rm -f %buildroot%_libdir/gstreamer-%{majorminor}/libgstwincodec.so
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README RELEASE  
%{_bindir}/gst-launch-ext
%{_bindir}/gst-visualise
%{_mandir}/man1/gst-launch-ext.1*
%{_mandir}/man1/gst-visualise.1*
%{_libdir}/gstreamer-%{majorminor}/libgstaudioscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstidct.so
%{_libdir}/gstreamer-%{majorminor}/libgstresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstriff.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo.so

%package -n gstreamer-plugins-devel
Summary: 	GStreamer Plugin Library Headers.
Group: 		Development/C
Requires: 	gstreamer-plugins = %{version}-%release
Requires:	%libgstplay = %version-%release
Requires:	%libgstgconf = %version-%release
Requires:	libgstreamer-devel = %version 
Provides:	gstreamer-play-devel = %{version}-%release
Provides:	gstreamer-gconv-devel = %{version}-%release

%description -n gstreamer-plugins-devel
GStreamer support libraries header files.

%files -n gstreamer-plugins-devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{majorminor}/gst/gconf/gconf.h
%{_includedir}/gstreamer-%{majorminor}/gst/play/play.h
%{_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h
%{_includedir}/gstreamer-%{majorminor}/gst/floatcast/floatcast.h
%{_includedir}/gstreamer-%{majorminor}/gst/idct/idct.h
%{_includedir}/gstreamer-%{majorminor}/gst/resample/resample.h
%{_includedir}/gstreamer-%{majorminor}/gst/riff/riff.h
%{_includedir}/gstreamer-%{majorminor}/gst/video/video.h
%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_libdir}/pkgconfig/gstreamer-libs-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-play-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-gconf-%{majorminor}.pc
%{_libdir}/libgstgconf-%{majorminor}.so
%{_libdir}/libgstplay-%{majorminor}.so

# Here are all the packages depending on external libs #
### A52DEC ###
%package -n gstreamer-a52dec
Summary: GStreamer VOB decoder plugin
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: a52dec-devel >= 0.7.3

%description -n gstreamer-a52dec
Plugin for decoding of VOB files

%files -n gstreamer-a52dec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstac3parse.so

%post -n gstreamer-a52dec
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-a52dec
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### AALIB ###
%package -n gstreamer-aalib
Summary: Gstreamer plugin for Ascii-art output
Group: Video
BuildRequires: aalib-devel >= 1.3
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n gstreamer-aalib
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so

%post -n gstreamer-aalib
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-aalib
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### ALSA ###
%package -n gstreamer-alsa
Summary: GStreamer plug-ins for the ALSA sound architecture
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
Provides:	gstreamer-audiosrc
Provides:	gstreamer-audiosink


%description -n gstreamer-alsa
Input and output plugin for the ALSA soundcard driver architecture.

%files -n gstreamer-alsa
%defattr(-, root, root)
%doc ext/alsa/README
%{_libdir}/gstreamer-%{majorminor}/libgstalsa.so

%post -n gstreamer-alsa
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-alsa
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### ARTS WRAPPER ###
%package -n gstreamer-arts
Summary:       GStreamer arts wrapper plug-in.
Group:         Sound
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libarts-devel

%description -n gstreamer-arts
This plug-in wraps arts plug-ins.

%files -n gstreamer-arts
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstarts.so

%post -n gstreamer-arts
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-arts
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### ARTSD SOUND SERVER ###
%package -n gstreamer-artsd
Summary:  GStreamer artsd output plug-in.
Group:    Sound
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-artsd
Plug-in for outputting to artsd sound server.

%files -n gstreamer-artsd
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstartsdsink.so

%post -n gstreamer-artsd
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-artsd
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### SWFDEC FLASH PLUGIN ###
%package -n gstreamer-swfdec
Summary:  GStreamer Flash redering plug-in.
Group:    System/Libraries
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: libswfdec-devel => 0.1.3.1

%description -n gstreamer-swfdec
Plug-in for rendering Flash animations using swfdec library

%files -n gstreamer-swfdec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so

%post -n gstreamer-swfdec
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-swfdec
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### AUDIOFILE ###
%package -n gstreamer-audiofile
Summary: GStreamer plugin audiofile support
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: audiofile-devel >= 0.2.1

%description -n gstreamer-audiofile
Plugin for supporting reading and writing all files audiofile support

%files -n gstreamer-audiofile
%defattr(-, root, root)
%doc ext/audiofile/README
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofile.so

%post -n gstreamer-audiofile
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-audiofile
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### AVI ###
%package -n gstreamer-avi
Summary:       GStreamer plug-in for AVI movie playback.
Group:         Video
Requires:      gstreamer-plugins = %{version}-%release
Requires:      gstreamer-colorspace = %{version}-%release

%description -n gstreamer-avi
Plug-ins for playback of AVI format media files.

%files -n gstreamer-avi
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstavidemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstavimux.so

%post -n gstreamer-avi
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-avi
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%if %build_plf
### AVIFILE ###
%package -n gstreamer-windec
Summary:       GStreamer plug-in for Windows DLL loading
Group:         Video
Requires:      gstreamer-plugins = %{version}
Requires:      win32-codecs
BuildRequires: libavifile-devel

%description -n gstreamer-windec
Plug-ins for playback for loading window DLL files. 
Needed for playback of some  AVI format media files.

%files -n gstreamer-windec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstwincodec.so

%post -n gstreamer-windec
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-windec
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null
%endif

### CDPARANOIA ###
%package -n gstreamer-cdparanoia
Summary: Gstreamer plugin for CD audio input using CDParanoia IV
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: libcdda0-devel

%description -n gstreamer-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer

%files -n gstreamer-cdparanoia
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.so

%post -n gstreamer-cdparanoia
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-cdparanoia
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### DVDREAD ###
%package -n gstreamer-libdvdread
Summary: GStreamer plug-ins for DVD playback using libdvdread.
Group: Video
Obsoletes:     gstreamer-libdvd
Provides:      gstreamer-libdvd
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: libdvdread-devel >= 0.9.0

%description -n gstreamer-libdvdread
Plug-in for reading DVDs using libdvdread under GStreamer.

%files -n gstreamer-libdvdread
%defattr(-, root, root)
%doc ext/dvdread/README
%{_libdir}/gstreamer-%{majorminor}/libgstdvdreadsrc.so

%post -n gstreamer-libdvdread
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-libdvdread
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### DVDNAV ###
%package -n gstreamer-libdvdnav
Summary: GStreamer plug-in for DVD navigation support.
Group: Video
Requires: gstreamer-plugins = %{version}-%release
Provides: gstreamer-dvdnav
Obsoletes: gstreamer-dvdnav
BuildRequires: libdvdnav-devel

%description -n gstreamer-libdvdnav
Plug-in for reading DVDs using libdvdnav  under GStreamer.

%files -n gstreamer-libdvdnav
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdvdnavsrc.so

%post -n gstreamer-libdvdnav
%{_bindir}/gst-register --gst-mask=0 > /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-libdvdnav
%{_bindir}/gst-register --gst-mask=0 > /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

## DXR3 ###
%package -n gstreamer-dxr3
Summary:       GStreamer plug-in for playback using dxr3 card.
Group:         Video
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libdxr3-devel => 0.12.0

%description -n gstreamer-dxr3
Plug-in supporting DVD playback using cards
with the dxr3 chipset like Hollywood Plus
and Creative Labs DVD cards.

%files -n gstreamer-dxr3
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdxr3.so

%post -n gstreamer-dxr3
%{_bindir}/gst-register --gst-mask=0 > /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-dxr3
%{_bindir}/gst-register --gst-mask=0 > /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### ESD ###
%package -n gstreamer-esound
Summary: Gstreamer plugin for ESD sound output
Group: Sound
Obsoletes:     gstreamer-esd
Provides:      gstreamer-esd
Requires: esound >= 0.2.8
BuildRequires: libesound-devel >= 0.2.8
Requires: gstreamer-plugins = %{version}-%release
Provides:	gstreamer-audiosrc
Provides:	gstreamer-audiosink

%description -n gstreamer-esound
Output plugin for GStreamer for use with the esound package

%files -n gstreamer-esound
%defattr(-, root, root)
%doc ext/esd/README
%{_libdir}/gstreamer-%{majorminor}/libgstesdmon.so
%{_libdir}/gstreamer-%{majorminor}/libgstesdsink.so

%post -n gstreamer-esound
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-esound
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%package -n gstreamer-ffmpeg
Summary: Gstreamer plugin for the ffmpeg codec
Group: Video
#BuildRequires: libffmpeg0.4.6-devel >= 0.4.6-0.20021209.1mdk
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-ffmpeg
Video codec plugin for GStreamer based on the ffmpeg libraries.

%files -n gstreamer-ffmpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstffmpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstffmpegall.so

%post -n gstreamer-ffmpeg
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-ffmpeg
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### FLAC ###
%package -n gstreamer-flac
Summary:       GStreamer plug-in for FLAC lossless audio.
Group:         Sound
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libflac4-devel >= 1.0.4

%description -n gstreamer-flac
Plug-in for the free FLAC lossless audio format.

%files -n gstreamer-flac
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so

%post -n gstreamer-flac
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-flac
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### GNOME VFS 2 ###
%package -n gstreamer-gnomevfs
Summary: GStreamer plug-ins for GNOME VFS input and output
Group: Sound
Requires: gnome-vfs2 > 1.9.4.00
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: gnome-vfs2-devel > 1.9.4.00

%description -n gstreamer-gnomevfs
Plug-Ins for reading and writing through GNOME VFS.

%files -n gstreamer-gnomevfs
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfssrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfssink.so

%post -n gstreamer-gnomevfs
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-gnomevfs
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### GSM ###
%package -n gstreamer-gsm
Summary: GStreamer plugin for GSM lossy audio format
Group: Sound
Requires: gsm >= 1.0.10
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: gsm-devel >= 1.0.10

%description -n gstreamer-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n gstreamer-gsm
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgsm.so

%post -n gstreamer-gsm
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-gsm
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null


### HERMES ###
%package -n gstreamer-colorspace
Summary: Gstreamer colorspace conversion plugin
Group: Video
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: Hermes-devel => 1.3.0
%description -n gstreamer-colorspace
Colorspace plugin based on Hermes library

%files -n gstreamer-colorspace
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcolorspace.so

%post -n gstreamer-colorspace
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-colorspace
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### HTTP ###
%package -n gstreamer-httpsrc
Summary:       GStreamer plug-in for http using libghttp.
Group:         System/Libraries
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libghttp-devel => 1.0.9

%description -n gstreamer-httpsrc
Plug-in supporting the http protocol based 
on the libghttp library.

%files -n gstreamer-httpsrc
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsthttpsrc.so

%post -n gstreamer-httpsrc
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-httpsrc
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

#### JACK AUDIO CONNECTION KIT ###
%package -n gstreamer-jack
Summary:  GStreamer plug-in for the Jack Sound Server.
Group:    Sound
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: libjack0-devel => 0.28.0
Provides:	gstreamer-audiosrc
Provides:	gstreamer-audiosink

%description -n gstreamer-jack
Plug-in for the JACK professional sound server.

%files -n gstreamer-jack
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so

%post -n gstreamer-jack
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-jack
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### JPEG ###
%package -n gstreamer-jpeg
Summary: Gstreamer plugin for jpeg images
Group: Video
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: libjpeg-devel

%description -n gstreamer-jpeg
Output plugin for GStreamer using libjpeg

%files -n gstreamer-jpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so

%post -n gstreamer-jpeg
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-jpeg
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### LADSPA ###
%package -n gstreamer-ladspa
Summary: Gstreamer wrapper for LADSPA plug-ins.
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
Requires:      ladspa
BuildRequires: ladspa-devel

%description -n gstreamer-ladspa
Plug-in which wraps LADSPA plug-ins for use by GStreamer applications.
We suggest you also get the cmt package of ladspa plug-ins
and steve harris's swh-plugins package.

%files -n gstreamer-ladspa
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so

%post -n gstreamer-ladspa
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-ladspa
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%if %build_plf
### LAME ###
%package -n gstreamer-lame
Summary: GStreamer plug-in encoding mp3 songs using lame.
Group:  Sound
Requires: gstreamer-plugins = %{version}
BuildRequires: libmp3lame-devel >= 3.89

%description -n gstreamer-lame
Plug-in for encoding mp3 with lame under GStreamer.

%files -n gstreamer-lame
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstlame.so

%post -n gstreamer-lame
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-lame
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null
%endif

### LIBDV ###
%package -n gstreamer-dv
Summary:       GStreamer DV plug-in.
Group:         Video
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libdv2-devel >= 0.98

%description -n gstreamer-dv
Plug-in for digital video support using libdv.

%files -n gstreamer-dv
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdvdec.so

%post -n gstreamer-dv
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-dv
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%if %build_plf
### LIBFAME ###
%package -n gstreamer-libfame
Summary:       GStreamer plug-in to encode MPEG1/MPEG4 video.
Group:         Video
Requires:      gstreamer-plugins = %{version}
BuildRequires: libfame-devel >= 0.9.0

%description -n gstreamer-libfame
Plug-in for encoding MPEG1/MPEG4 video using libfame.

%files -n gstreamer-libfame
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstlibfame.so

%post -n gstreamer-libfame
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-libfame
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null
%endif

### LIBPNG ###
%package -n gstreamer-libpng
Summary:       GStreamer plug-in to encode png images
Group:         Graphics
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libpng-devel >= 1.2.4-4mdk

%description -n gstreamer-libpng
Plug-in for encoding png images.

%files -n gstreamer-libpng
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so

%post -n gstreamer-libpng
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-libpng
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### MAD ###
%package -n gstreamer-mad  
Summary: Plugin using MAD for mp3 decoding.
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
Requires: gstreamer-audio-formats =  %{version}-%release
BuildRequires: mad-devel >= 0.13.0

%description -n gstreamer-mad
Plugin for playback of mp3 songs using the very good MAD library.

%files -n gstreamer-mad
%defattr(-, root, root)  
%{_libdir}/gstreamer-%{majorminor}/libgstmad.so

%post -n gstreamer-mad
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-mad
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### MIKMOD ###
%package -n gstreamer-mikmod
Summary: GStreamer Mikmod plug-in.
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: libmikmod-devel

%description -n gstreamer-mikmod
Plugin for playback of module files supported by mikmod under GStreamer.

%files -n gstreamer-mikmod
%defattr(-, root, root)
%doc ext/mikmod/README
%{_libdir}/gstreamer-%{majorminor}/libgstmikmod.so

%post -n gstreamer-mikmod
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-mikmod
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### MJPEGTOOLS ###
%package -n gstreamer-jpegmmx
Summary:       GStreamer mjpegtools plug-in for mmx jpeg.
Group:         Video
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libmjpegtools-devel

%description -n gstreamer-jpegmmx
mjpegtools-based encoding and decoding plug-in.

%files -n gstreamer-jpegmmx
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstjpegmmxenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpegmmxdec.so

%post -n gstreamer-jpegmmx
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-jpegmmx
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### MPEG2DEC ###
%package -n gstreamer-mpeg
Summary:GStreamer plug-ins for MPEG video playback and encoding.
Group:         Video
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libmpeg2dec-devel => 0.3.1
Requires:      libmpeg2dec0 >= 	0.3.1

%description -n gstreamer-mpeg
Plug-ins for playing and encoding MPEG video.

%files -n gstreamer-mpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg1types.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg1encoder.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg1systemencode.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudioparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmp1videoparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegstream.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2subt.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2types.so

%post -n  gstreamer-mpeg
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n  gstreamer-mpeg
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%if %build_plf
### OPENQUICKTIME ###
%package -n gstreamer-openquicktime
Summary: GStreamer OpenQuicktime video Plug-in.
Group: Video
Requires: gstreamer-plugins = %{version}
BuildRequires: openquicktime-devel => 0.9

%description -n gstreamer-openquicktime
Plug-in which uses the OpenQuicktime library
from 3ivx to play Quicktime movies.
(http://openquicktime.sourceforge.net/)

%files -n gstreamer-openquicktime
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimedemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimetypes.so
%{_libdir}/gstreamer-%{majorminor}/libgstopenquicktimedecoder.so

%post -n  gstreamer-openquicktime
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n  gstreamer-openquicktime
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null
%endif

### OSS ###
%package -n gstreamer-oss
Summary: Gstreamer plug-ins for input and output using OSS.
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
Provides:	gstreamer-audiosrc
Provides:	gstreamer-audiosink

%description -n gstreamer-oss 
Plug-Ins for output and input to the OpenSoundSytem audio
drivers found in the Linux kernels or commercially available
from OpenSound.

%files -n gstreamer-oss
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so

%post -n gstreamer-oss
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-oss
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### RAW1394 ###
%package -n gstreamer-raw1394
Summary:       GStreamer raw1394 Firewire plug-in.
Group:         System/Libraries
Requires:      gstreamer-plugins = %{version}-%release
BuildRequires: libraw1394-devel

%description -n gstreamer-raw1394
Plug-in for digital video support using raw1394.

%files -n gstreamer-raw1394
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so

%post -n gstreamer-raw1394
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-raw1394
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### RTP ###
#%package -n gstreamer-rtp
#Summary:  GStreamer RTP plug-in.
#Group:    System/Libraries
#Requires: gstreamer-plugins = %{version}-%release
#Requires: librtp >= 0.1
#
#%description -n gstreamer-rtp
#Library for transfering data with the RTP protocol.
#
#%files -n gstreamer-rtp
#%defattr(-, root, root)
#%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
#
#%post -n gstreamer-rtp
#%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
#### %{_bindir}/gst-compprep > /dev/null 2> /dev/null
#
#%postun -n gstreamer-rtp
#%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
#### %{_bindir}/gst-compprep > /dev/null 2> /dev/null


### SIDPLAY ###
%package -n gstreamer-sid
Summary: GStreamer Sid C64 music plugin
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: libsidplay1-devel => 1.36.0
%description -n gstreamer-sid
Plugin for playback of C64 SID format music files

%files -n gstreamer-sid
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsid.so

%post -n gstreamer-sid
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-sid
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### SDL ###
%package -n gstreamer-SDL
Summary: Gstreamer plugin for outputing video to SDL.
Group: Video
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: SDL-devel >= 1.2.0
Provides: gstreamer-sdl
Obsoletes: gstreamer-sdl

%description -n gstreamer-SDL
Plug-in for sending video output to the Simple Direct Media architecture.
(http://www.libsdl.org). Useful for full-screen playback.

%files -n gstreamer-SDL
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsdlvideosink.so

%post -n gstreamer-SDL
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-SDL
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%if %build_plf
### SHOUT ###
%package -n gstreamer-icecast
Summary: GStreamer Icecast plug-in using libshout.
Group: Sound
Requires: gstreamer-plugins = %{version}
BuildRequires: libshout-devel >= 1.0.5
%description -n gstreamer-icecast
Plug-in for broadcasting audio to the Icecast server.

%files -n gstreamer-icecast
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstshout.so

%post -n gstreamer-icecast
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-icecast
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null
%endif

### VORBIS ###
%package -n gstreamer-vorbis
Summary: Gstreamer plugin for encoding and decoding Ogg Vorbis audio files
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
BuildRequires: libvorbis0-devel >= 1.0-4mdk

%description -n gstreamer-vorbis
Plug-Ins for creating and playing Ogg Vorbis audio files.

%files -n gstreamer-vorbis  
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.so

%post -n gstreamer-vorbis
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-vorbis
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### VIDEO 4 LINUX ###
%package -n gstreamer-v4l
Summary: GStreamer Video for linux input plug-in.
Group: Video
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-v4l
Plug-in for accessing Video for Linux devices.

%files -n gstreamer-v4l
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstv4lelement.so
%{_libdir}/gstreamer-%{majorminor}/libgstv4lsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstv4lmjpegsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstv4lmjpegsink.so

%post -n gstreamer-v4l
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-v4l
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### VIDEO 4 LINUX 2 ###
%package -n gstreamer-v4l2
Summary:       GStreamer Video for Linux 2 plug-in.
Group:         Video
Requires:      gstreamer-plugins = %{version}

%description -n gstreamer-v4l2
Plug-in for accessing Video for Linux devices.

%files -n gstreamer-v4l2
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstv4l2element.so
%{_libdir}/gstreamer-%{majorminor}/libgstv4l2src.so

%post -n gstreamer-v4l2
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-v4l2
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### XVIDEO ###
%package -n gstreamer-xvideosink
Summary: GStreamer XFree output plug-in
Group: Video
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-xvideosink
Xfree86 video sink

%files -n gstreamer-xvideosink
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstxvideosink.so

%post -n gstreamer-xvideosink
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-xvideosink
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%package -n gstreamer-videosink
Summary: GStreamer Video Sink
Group: Video
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-videosink
Plugin for X playback

%files -n gstreamer-videosink
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstvideosink.so

%post -n gstreamer-videosink
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-videosink
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null


### packages without external dependencies ###

### audio-effects ###
%package -n gstreamer-audio-effects
Summary: GStreamer audio effects plug-in.
Group: Sound
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-audio-effects
Plug-in with various audio effects including resampling, 
sine wave generation, silence generation, channel mixing, stream mixing,
integer to float conversion, LAW conversion and level detection plug-ins.

%files -n gstreamer-audio-effects
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstsinesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstsilence.so
%{_libdir}/gstreamer-%{majorminor}/libgststereo.so
%{_libdir}/gstreamer-%{majorminor}/libgststereo2mono.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolume.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolenv.so
%{_libdir}/gstreamer-%{majorminor}/libgstplayondemand.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeed.so
%{_libdir}/gstreamer-%{majorminor}/libgststereosplit.so
%{_libdir}/gstreamer-%{majorminor}/libgstadder.so
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstintfloat.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmono2stereo.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstoneton.so
%{_libdir}/gstreamer-%{majorminor}/libgstpassthrough.so
# %{_libdir}/gstreamer-%{majorminor}/libgstfloatcast.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstfilter.so
%{_libdir}/gstreamer-%{majorminor}/libmixmatrix.so

%post -n gstreamer-audio-effects
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-audio-effects
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### audio-formats ###
%package -n gstreamer-audio-formats
Summary: GStreamer audio format plugin
Group: Sound
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-audio-formats
Plug-in for playback of wav, au and mod audio files as well as mp3 type.

%files -n gstreamer-audio-formats
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmp3types.so
%{_libdir}/gstreamer-%{majorminor}/libgstmodplug.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so

%post -n gstreamer-audio-formats
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-audio-formats
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### FESTIVAL ###
%package -n gstreamer-festival
Summary: GStreamer plug-in for text-to-speech support using a festival server.
Group: Sound
Requires: gstreamer-plugins = %{version}-%release
#Requires: festival >= 1.4.1

%description -n gstreamer-festival
Plug-in for text-to-speech using the festival server.

%files -n gstreamer-festival
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstfestival.so

%post -n gstreamer-festival
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-festival
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### flx ###
%package -n gstreamer-flx
Summary: GStreamer plugin for FLI/FLX animation format.
Group: Video
Requires: gstreamer-plugins = %{version}-%release
Requires: gstreamer-colorspace = %{version}-%release
%description -n gstreamer-flx
Plugin for playing FLI/FLX animations under GStreamer.

%files -n gstreamer-flx
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so

%post -n gstreamer-flx
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-flx
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### qcam ###
%package -n gstreamer-qcam
Summary: GStreamer QuickCam plugin
Group: Video
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-qcam
Plug-in for accessing a Quickcam video source.

%files -n gstreamer-qcam
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstqcam.so

%post -n gstreamer-qcam
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-qcam
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### udp ###
%package -n gstreamer-udp
Summary: GStreamer plug-ins for UDP tranport
Group: System/Libraries
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-udp
Plug-Ins for UDP transport

%files -n gstreamer-udp
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so

%post -n gstreamer-udp
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-udp
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### vcd ###
%package -n gstreamer-vcd
Summary: GStreamer Video CD plugin
Group: Video
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-vcd
Video CD parsing and playback

%files -n gstreamer-vcd
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdxaparse.so

%post -n gstreamer-vcd
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-vcd
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### video-effects ###
%package -n gstreamer-video-effects
Summary: 	GStreamer video effects plug-in.
Group: 		Video
Requires: 	gstreamer-plugins = %{version}-%release
Obsoletes:	gstreamer-deinterlace
Provides:	gstreamer-deinterlace
Provides:	gstreamer-misc
Obsoletes:	gstreamer-misc

%description -n gstreamer-video-effects
Plug-in with various video effects including deinterlacing and effecTV
plug-ins.

%files -n gstreamer-video-effects
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstmedian.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstvbidec.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so

%post -n gstreamer-video-effects
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-video-effects
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%package -n gstreamer-visualisation
Summary: GStreamer visualisations plug-ins.
Group: Video
Requires: gstreamer-plugins = %{version}-%release

%description -n gstreamer-visualisation
Various plug-ins for visual effects to use with audio.
This includes smoothwave, spectrum, goom, chart, monoscope, synaesthesia
and vumeter.

%files -n gstreamer-visualisation
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsmooth.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
%{_libdir}/gstreamer-%{majorminor}/libgstvumeter.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstchart.so
%{_libdir}/gstreamer-%{majorminor}/libgstmonoscope.so
%{_libdir}/gstreamer-%{majorminor}/libgstsynaesthesia.so

%post -n gstreamer-visualisation
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-visualisation
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

### yuv4mjpeg ###
%package -n gstreamer-yuv4mjpeg
Summary: 	GStreamer plug-in for YUV to MJPEG conversion.
Group: 		Video
Requires: 	gstreamer-plugins = %{version}-%release
Obsoletes: 	gstreamer-lavencode
Provides: 	gstreamer-lavencode

%description -n gstreamer-yuv4mjpeg
It takes YUV video frames and adds a header in front of it so it can be 
processed with the lavtools from mjpegtools.

%files -n gstreamer-yuv4mjpeg
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so

%post -n gstreamer-yuv4mjpeg
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-yuv4mjpeg
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

# cdplayer
%package -n gstreamer-cdplayer
Summary:        GStreamer plug-in playing audio cds	
Group:          Sound
Requires:       gstreamer-plugins = %{version}-%release

%description -n gstreamer-cdplayer
Lets you get sound from audio cd's using GStreamer

%files -n gstreamer-cdplayer
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstcdplayer.so

%post -n gstreamer-cdplayer
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-cdplayer
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

# Videotest plugin
%package -n gstreamer-videotest
Summary:        GStreamer plug-in for generating a video test streamer
Group:          Video
Requires:       gstreamer-plugins = %{version}-%release

%description -n gstreamer-videotest
This plugin provides a videotest plugin. This plugin can be used to
generate a videostream for testing other plugins.

%files -n gstreamer-videotest
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.so

%post -n gstreamer-videotest
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-videotest
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

# Snapshot plugin
%package -n gstreamer-snapshot
Summary:        GStreamer plug-in for grabbing images from videostreams
Group:          Video
Requires:       gstreamer-plugins = %{version}-%release

%description -n gstreamer-snapshot
This plugin grabs images from videostreams and saves them as PNG format images.
Requires:	gstreamer-colorspace = %{version}-%release
BuildRequires:	libpng-devel

%files -n gstreamer-snapshot
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstsnapshot.so

%post -n gstreamer-snapshot
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-snapshot
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

# Dependency free Quicktime demuxer
%package -n gstreamer-quicktime
Summary:       GStreamer Quicktime demuxer video Plug-in.
Group:         Video
Requires:      gstreamer-plugins = %{version}-%release

%description -n gstreamer-quicktime
Plug-in for demuxing Quicktime movies

%files -n gstreamer-quicktime
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstqtdemux.so

%post -n gstreamer-quicktime
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

%postun -n gstreamer-quicktime
%{_bindir}/gst-register --gst-mask=0 > /dev/null 2> /dev/null
### %{_bindir}/gst-compprep > /dev/null 2> /dev/null

# package supporting GConf
%package -n gstreamer-GConf
Summary: 	GStreamer GConf schemas.
Group: 		System/Libraries
Requires: 	gstreamer-plugins = %{version}-%release
Requires:	%libgstgconf = %version-%release
Requires: 	GConf2
BuildRequires: 	libGConf2-devel
Provides:	gstreamer-play	
Obsoletes:	gstreamer-play	

%description -n gstreamer-GConf
Installation of GStreamer GConf schemas.
These set usable defaults used by all GStreamer-enabled Gnome applications.

%files -n gstreamer-GConf
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/gconf/schemas/gstreamer.schemas

%post -n gstreamer-GConf
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gstreamer.schemas > /dev/null

%package -n %libgstgconf
Group: 		System/Libraries
Summary: 	GStreamer GConf shared library 

%description -n %libgstgconf
This is a shared library for the GNOME GConf configuration system.

%files -n %libgstgconf
%defattr(-, root, root)
%{_libdir}/libgstgconf-%{majorminor}.so.*

%post -n %libgstgconf -p /sbin/ldconfig
%postun -n %libgstgconf -p /sbin/ldconfig

%package -n %libgstplay
Group: 		System/Libraries
Summary: 	GStreamer play library.

%description -n %libgstplay
This package contains a basic audio and video playback library.

%files -n %libgstplay
%defattr(-, root, root)
%{_libdir}/libgstplay-%{majorminor}.so.*

%post -n %libgstplay -p /sbin/ldconfig
%postun -n %libgstplay -p /sbin/ldconfig

%changelog
* Thu Feb 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- enable festival plugin, but comment out the requirement for festival

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- add changes from official spec file:
  - add virtual provides gstreamer-gconf-devel to the plugins-devel package
  - adapt file list
  - fix buildrequires of xvideo package 
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-2mdk
- reenable swfdec plugin

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- disable swfdec plugin
- mklibname macros
- add aviparse plugin
- new major 
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-3mdk
- clean out all plf packages in mdk build to please Charles A Edwards
- drop patch 7, not needed

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- add virtual provides for audio sources and sinks
- add new plugins: vbidec to video-effects, oneton to audio-effects
- fix build for broken ffmpeg (patch6)
- enable ffmpeg plugin
- drop workaround for broken rpm macro
- drop patch 5
- new version

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-5mdk
- work around the v4l problem with patch 6
- rebuild for new glibc

* Wed Dec 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-4mdk
- force compilation of the v4l plugin
- enable v4l2 plugin
- only buildrequire nasm on x86 architectures

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- disable ffmpeg plugin for now
- patch5 for new mpeg2dec

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- libtoolize to fix modplug

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- merge with offical spec file:
  - disable gst-compprep calls in the post* scripts
  - add libpng package
  - change location of the plugins to %_libdir/%name-%{majorminor}
- drop buildrequires for automake1.6
- drop patches 1,2,3,5 (upstream)
- new version

* Tue Dec  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-7mdk
- fix linking of mpeg2dec plugin

* Tue Dec  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-6mdk
- patch from CVS to let mpeg2dec plugin build with the new version
- let gstreamer-GConf obsolete the gstreamer-play package

* Tue Nov 26 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.4.2-5mdk
- patch for PPC build (patch4)

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-4mdk
- clean uninstalled files
- add missing plugins: dxr3, httpsrc

* Fri Nov  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-3mdk
- patch3: fix gst-launch ext (thanks Tim Lee)

* Wed Nov  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- patch1: fix swfdec detection
- enable swfdec plugin

* Tue Nov  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- split out libgstplay and libgstgconf to library packages
- patch 0: fix audiofile detection
- disable v4l2
- disable parallel build 
- big sync with offical package
  * add new headers to devel package
  * adapt post/postun scripts
  * add new packages: cdplayer, videotest, snapshot, quicktime, play
  * add windec package (plf)
  * rename dvdnav package to libdvdnav
- buildrequires libflac4-devel for flac package
- drop patches 0,1,3,4  
- new version

* Thu Oct 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-14mdk
- buildrequire libflac3-devel for flac package 
- enable mjpegtools subpackage

* Wed Sep 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-13mdk
- enable jack package
- fix a typo in festival package

* Wed Sep 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-12mdk
- Register plugins using post/postun scripts for all subpackages
- Mad plugin requires audio-format plugins (otherwise gst-player and monkey-media can't play mp3)

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-11mdk
- gcc 3.2 rebuild

* Tue Aug  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-10mdk
- patch vorbis autoconf check for version 1.0
- remove manual build/installation of vorbis plugin

* Mon Aug  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-9mdk
- rebuild against new libdvdnav

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-8mdk
- libdv2
- fix dv plugin
- fix libraw1394 plugin

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-7mdk
- merge with plf package, enable with --with plf

* Mon Jul 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-6mdk
- manually build vorbis plugin

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-5mdk
- enable flac plugin
- patch to update the flac plugin 

* Thu Jul 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-4mdk
- rebuild with mpeg2dec 0.2.1
- drop mpeg2dec patch

* Tue Jul  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-3mdk
- build mpeg2 plugin
- patch mpeg2dec detection to work with our version

* Sun Jul  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-2mdk
- libtoolize to fix C++ linking
- minor spec fixes
- rename sdl package to SDL to match official package

* Sat Jul  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- disable flac, doesn't build with 1.0.3
- add xvideosink package
- add http package
- enable avifile, libdv, dvdnav, dxr3
- merge with official spec
- 0.4.0

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-5mdk
- add some individual READMEs to the doc section
- fix buildrequires
- speed up build

* Wed Jul  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-4mdk
- add some more files
- more buildrequires

* Tue Jul  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-3mdk
- patch away -Werror to make everything build
- enable aa, arts, dvdread, mikmod, sid plugins
- spec fixes

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- remove lame & shout plugins

*Tue Jun 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.3.4-1mdk
- initial Mandrake build
- modified other spec
